# classifying-eugeniana

1. Project phase 1 \(03-04/2021\)
>*see also description of project at [ONB Forschungsblog](https://www.onb.ac.at/forschung/forschungsblog/artikel/machine-learning-fuer-die-provenienzerschliessung).*

Primary contribution  by Emanuel Zangger:
- training and testing of ML algorithm;
- set-up of pipeline for ingest of ABO barcodes and classification. 
E. Zangger trained and tested on barcodes \(identifiers of digitized books\) for the publication years 1550-1599 and 1700-1738. 
Additional contribution by Martin Krickl:
- initial research question
- Selection of ground truth
- evaluation of output

2. Project phase 2 \(10-12/2021\) 

Extension by Simon Mayer \(ONB\) and Martin Krickl \(ONB\) for paper "Mit Machine Learning auf der Suche nach Provenienzen - ein Use Case der Bildklassifikation an der Österreichischen Nationalbibliothek" published in [Bibliothek \- Forschung und Praxis](https://www.degruyter.com/journal/key/bfup/html). \(Publication upcoming in 03/2022\).  

Contribution by Simon Mayer:
- adjustments to ML algorithms trained in phase 1
- adjustment of pipeline
- testing of barcodes
- Author of paper in BFuP
- set-up of repository  

Contribution by Martin Krickl:
- evaluation of output
- Author of paper in BFuP

3. This project repository contains:

- the code by E. Zangger for training the model and running the pipeline 
- ABO barcodes \(and corresponding predictions of the BE model\) for the years 1550-1599 and 1700-1738.
- ABO barcodes \(and corresponding predictions of the BE models\) for the years 1501-1550 and 1600-1699.

NOTE:
 *The predictions have been sorted such that the positive predictions are followed by negative predictions.*



