import pandas as pd

# import all negative predictions
pred_1501to1549_excel = pd.read_excel('predictions_BE_1501-1549.xlsx')
pred_1501to1549_false = pred_1501to1549_excel[~pred_1501to1549_excel['BE']]['Barcode']
pred_1550to1599_csv = pd.read_csv('all_predictions_1550-1599.csv')
pred_1550to1599_false = pred_1550to1599_csv[~pred_1550to1599_csv['Prediction']]['Barcode']
pred_1600to1650_excel = pd.read_excel('predictions_BE_1600-1650.xlsx')
pred_1600to1650_false = pred_1600to1650_excel[~pred_1600to1650_excel['BE']]['Barcode']
pred_1651to1699_excel = pd.read_excel('predictions_BE_1651-1699.xlsx')
pred_1651to1699_false = pred_1651to1699_excel[~pred_1651to1699_excel['BE']]['Barcode']
pred_1700to1738_csv = pd.read_csv('all_predictions_1700-1738.csv')
pred_1700to1738_false = pred_1700to1738_csv[~pred_1700to1738_csv['Prediction']]['Barcode']
# join all Series
all_neg_preds = pred_1501to1549_false.append(pred_1550to1599_false).append(pred_1600to1650_false)\
    .append(pred_1651to1699_false).append(pred_1700to1738_false)
print(len(all_neg_preds))
# sample 400 barcodes
sample = all_neg_preds.sample(n=400, random_state=42, ignore_index=True)
print(sample)
with open('random_negative_sample.csv', 'w') as fh:
    sample.to_csv(fh, index=False)
